classdesc

  Class representing a state.

### Hierarchy

- State

## Index

### Constructors

- constructor

### Accessors

- entities
- timestamp

## Constructors

### constructor

- new State(engine: Engine): State

- - Defined in core/State.ts:13
  description

    Create a state instance from an engine.

  #### Parameters

  - ##### engine: Engine

    Engine instance

  #### Returns State

## Accessors

### entities

- get entities(): Entity[]

- - Defined in core/State.ts:44
  description

    Get the state's entities.

  readonly

  #### Returns Entity[]

  - Array of entity instances

### timestamp

- get timestamp(): number

- - Defined in core/State.ts:53
  description

    Get the state's timestamp in milliseconds.

  readonly

  #### Returns number

  - Timestamp in milliseconds

Generated using TypeDoc